# Webhooks: Bimp API methods

URL: https://bimpsoft.com/en/help/developers/api-reference/webhook/

Bimp API methods for the “Webhooks” resource (`/org2/webhook/…`): 4 methods. Base URL: `https://app.bimpsoft.com`. All requests except login pass the company token in the `access-token` header — see [Getting started with the API](/en/help/developers/api-getting-started/).

| Method | What it does |
|---|---|
| [`POST /org2/webhook/api-readList`](#api-read-list) |  |
| [`POST /org2/webhook/api-read`](#api-read) |  |
| [`POST /org2/webhook/api-upsert`](#api-upsert) |  |
| [`POST /org2/webhook/api-delete`](#api-delete) |  |

## api-readList

`POST /org2/webhook/api-readList`

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `eventKind` | string ("inventory_balance") \| string ("product_upsert") \| string ("order_status") |  |  |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `[].id` | string (uuid) |  |
| `[].companyId` | string (uuid) |  |
| `[].eventKind` | string |  |
| `[].name` | string \| null |  |
| `[].url` | string |  |
| `[].enabled` | integer |  |
| `[].orgId` | string (uuid) \| null |  |
| `[].warehouseIds` | object[] \| null |  |
| `[].statusIds` | object[] \| null |  |
| `[].extraHeaders` | string \| null |  |
| `[].hasSecret` | boolean |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/webhook/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"eventKind":"string"}'
```

## api-read

`POST /org2/webhook/api-read`

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `id` | string (uuid) | yes |  |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `id` | string (uuid) |  |
| `companyId` | string (uuid) |  |
| `eventKind` | string |  |
| `name` | string \| null |  |
| `url` | string |  |
| `enabled` | integer |  |
| `orgId` | string (uuid) \| null |  |
| `warehouseIds` | object[] \| null |  |
| `statusIds` | object[] \| null |  |
| `extraHeaders` | string \| null |  |
| `hasSecret` | boolean |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/webhook/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"id":"00000000-0000-0000-0000-000000000000"}'
```

## api-upsert

`POST /org2/webhook/api-upsert`

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `eventKind` | string ("inventory_balance") \| string ("product_upsert") \| string ("order_status") | yes |  |
| `id` | string (uuid) |  |  |
| `name` | string \| null |  |  |
| `url` | string | yes |  |
| `secret` | string \| null |  |  |
| `enabled` | boolean |  |  |
| `orgId` | string (uuid) \| null |  |  |
| `warehouseIds` | object[] \| null |  |  |
| `statusIds` | object[] \| null |  |  |
| `extraHeaders` | object |  |  |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `id` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/webhook/api-upsert' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"eventKind":"string","url":"string"}'
```

## api-delete

`POST /org2/webhook/api-delete`

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `id` | string (uuid) | yes |  |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `deleted` | boolean |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/webhook/api-delete' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"id":"00000000-0000-0000-0000-000000000000"}'
```

Interactive documentation with a test request option: [https://app.bimpsoft.com/docs](https://app.bimpsoft.com/docs). The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.
